Ad
1: 2016-08-15 (Mon) 07:46:33 njf source Edit Backup No.1 as current. Cur: 2016-08-15 (Mon) 17:09:35 njf source Edit
Line 1: Line 1:
最新のrecyclerviewなどの「android.support」以下のパッケージを取り込んだAndroid向けANEを作成し、実際のパッケージを制作すると、エラーが出ることがあります。 最新のrecyclerviewなどの「android.support」以下のパッケージを取り込んだAndroid向けANEを作成し、実際のパッケージを制作すると、エラーが出ることがあります。
-これはAir SDKのadtコマンドでパッケージ制作で使っているAndroid build toolのバージョンとサポートライブラリのバージョンがあっていない事が原因です。+これはAir SDKのadtコマンドでパッケージ制作で使っているAndroid build toolのバージョン(API Levelに対応)とサポートライブラリのバージョンがあっていない事が原因です。
残念ながらAnimate CCではandroid build toolのバージョンを後から変える方法については資料がなく、変えられたとしてもそのAir SDKのバージョンでそのandrod build toolが対応しているか不明のため、サポートライブラリの方のバージョンを下げる必要があります。 残念ながらAnimate CCではandroid build toolのバージョンを後から変える方法については資料がなく、変えられたとしてもそのAir SDKのバージョンでそのandrod build toolが対応しているか不明のため、サポートライブラリの方のバージョンを下げる必要があります。
例えば、Air SDK ver. 22ではサポートライブラリのver.22なら取り込めますが、24などはエラーとなります。 例えば、Air SDK ver. 22ではサポートライブラリのver.22なら取り込めますが、24などはエラーとなります。
 +どのバージョンに対応しているかはリリースノートに書いてあることがあります。たとえばAir SDK ver.22ではAndroid L対応とあるので、Android 5、つまりapiレベル21や22は対応しているようです。
ANE作成ではサポートライブラリの取り込みが必要な事も多いので、注意が必要です。 ANE作成ではサポートライブラリの取り込みが必要な事も多いので、注意が必要です。
 +
 +また、それに応じてManifestのtargetsdkなども変更が必要です。


Front page   Edit Diff Backup Upload Copy Rename ReloadPrint View   New Page Page list Search Recent changes   Help   RSS of recent changes (RSS 1.0) RSS of recent changes (RSS 2.0) RSS of recent changes (RSS Atom) Powered by xpWiki
Counter: 1272, today: 1, yesterday: 0
広告

ログイン

ユーザー名:


パスワード:





パスワード紛失


NJF